Issue 1642 use hashedTreeIO to replay patches in optimize --upgrade

Title use hashedTreeIO to replay patches in optimize --upgrade
Priority feature Status wont-fix
Milestone Resolved in
Superseder Nosy List darcs-devel, dmitry.kurochkin, kowey, mornfall
Assigned To
Topics Performance

Created on 2009-10-08.15:49:40 by kowey, last changed 2010-04-08.14:20:39 by kowey.

msg8926 (view) Author: kowey Date: 2009-10-08.15:49:34
It would make sense for optimize --upgrade to give the same sort of pristine
repository that optimize --pristine does.

(Maybe even for the former to subsume the latter, but I forget if we had a good
reason to avoid that).
msg10700 (view) Author: kowey Date: 2010-04-08.14:20:38
Petr thinks this will be subsumed by the noslurps work (or actually, it
may even be resolved already by that work, in which case we should
update the status of this to resolved)
Date User Action Args
2009-10-08 15:49:40koweycreate
2009-11-15 16:58:27tux_rockersettopic: - Target-2.4
2010-04-08 14:20:40koweysetstatus: needs-implementation -> wont-fix
nosy: + mornfall
messages: + msg10700